Subject: Re: Any resolution to win32.h problem?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Jim Hall <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 27 Apr 2001 15:32:29 -0400

Seems to me the solution proposed was the #ifdef mentioned below.  Did you
try that?  Its not at all clear to me that win32.h and windows.h from the
w32api package are supposed to be the same thing (as your symlink suggestion
implies).  I'm definitely left with the impression that these are two 
completely different files so I don't see that the symlink would be a 
reasonable solution in that case.

What FAQ entry suggests that Cygwin includes win32.h?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 01:39 PM 4/27/2001, Jim Hall wrote:

>Hi
>
>I was having a similar problem trying to build a perl module on windows
>with cygwin. Did you resolve this using any of the suggestions below?
>
>- symlink from /usr/include/win32api/windows.h win32.h did not work.
>- The faq says that cygwin includes it but I don't know where.
>
>here is my error:
>
>jhall ~/src/perlmodsrc/Win32-API-0.20
>$ make
>gcc -c  -DPERL_USE_SAFE_PUTENV -DHAS_SBRK_PROTO -fno-strict-aliasing  -DUSEIMPORT
>LIB -O2   -DVERSION=\"0.20\" -DXS_VERSION=\"0.20\" -I/usr/lib/perl5/5.6.1/cygwin/CORE  API.c
>In file included from API.xs:39:
>/usr/lib/perl5/5.6.1/cygwin/CORE/perl.h:1746: win32.h: No such file or
>directory
>
>make: *** [API.o] Error 1
>
>JIM
>
>Re: libodbccp32.a
>To: cygwin at sources dot redhat dot com
>Subject: Re: libodbccp32.a
>From: "Charles S. Wilson" <cwilson at ece dot gatech dot edu>
>Date: Wed, 09 Aug 2000 00:57:30 -0400
>CC: cygwin at sourceware dot cygnus dot com
>References: <http://sources.redhat.com/ml/cygwin/2000-08/msg00397.html>
><http://sources.redhat.com/ml/cygwin/2000-08/msg00398.html>
>
>--------------------------------------------------------------------------------
>
>Chris Faylor wrote:
> > >
> > >Exactly right! Sometimes it takes someone else to state the obvious
> > >before I see the problem.  Thanks  Danny, Thanks Chris!
> >
> > I think you mean Chuck, not Chris.
>
>Whatever. 'sokay.
>
> >
> > >The only thing is that this build was looking picked up a reference to
> > >win32.h from perl.h. win32.h is not defined on a stock cygwin
>configuration,
> > >I actually edited perl.h but I guess a symlink to windows.h would be
>just as
> > >good.
>
>No. perl.h has the following stanza:
>
>#ifdef WIN32
>#  include "win32.h"
>#endif
>
>That's "win32.h", not <win32.h>.  There's a file in
><perl-src>/win32/win32.h, which is probably copied up to the toplevel
>during a win32-native configure. (I'm just guessing here)
>
>The correct fix is probably to replace the #ifdef statement with:
>
>#if defined(WIN32) && !defined(__CYGWIN__)
>
>But the presence of that #include "win32.h" has never cause me any build
>trouble; it's odd that it would only cause difficulties when building
>DBD::ODBC but not other modules.
>
> > >
> > >Should that be standard in cygwin? Should this be an issue for the perl
> > >porters? Or is this just another README!
> >
> > I don't know why perl is expecting win32.h but this is not a standard
>windows
> > header, AFAIK.  I don't think that cygwin has ever had a win32.h,
>either.
>
>--Chuck
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>
>
>
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple